org.apache.tools.ant.taskdefs

## Class LoadFile

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.LoadResource
      - - org.apache.tools.ant.taskdefs.LoadFile

All Implemented Interfaces:
  java.lang.Cloneable

    public class LoadFile
    extends LoadResource

Load a file into a property

Since:
  Ant 1.5

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`LoadFile()`

### Method Summary

Methods
`void` `setSrcFile(java.io.File srcFile)` Sets the file to load.

### Methods inherited from class org.apache.tools.ant.taskdefs.LoadResource

`addConfigured, addFilterChain, execute, setEncoding, setFailonerror, setProperty, setQuiet`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoadFile

    public LoadFile()

### Method Detail

#### setSrcFile

    public final void setSrcFile(java.io.File srcFile)

Sets the file to load.

Parameters:
  `srcFile` - The new SrcFile value